"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class PunicaException extends Error {
    constructor(code, msg) {
        super(msg);
        this.code = code;
    }
}
exports.PunicaException = PunicaException;
exports.invalidBoxName = () => new PunicaException(10000, 'box error, invalid box name');
exports.configFileNotFound = () => new PunicaException(10001, 'punica config file not found');
exports.configFileError = () => new PunicaException(10002, 'error exist in punica config file');
exports.walletFileNotFound = () => new PunicaException(10003, 'wallet file not found');
exports.walletFileError = () => new PunicaException(10004, 'error exist in wallet file');
exports.walletFileUnspecified = () => new PunicaException(10005, 'wallet file unspecified');
// tslint:disable-next-line:quotemark
exports.directoryError = () => new PunicaException(10006, "the path isn't a directory");
exports.avmFileEmpty = () => new PunicaException(10007, 'the avm file is empty');
exports.abiFileNotFound = () => new PunicaException(10008, 'abi file not found');
exports.abiFileEmpty = () => new PunicaException(10009, 'abi file is empty');
exports.abiFileError = () => new PunicaException(10009, 'error exist in abi file');
exports.networkError = () => new PunicaException(20000, 'please make sure you network state, and the repository exists.');
exports.fileExistError = () => new PunicaException(30000, 'something already exists at the destination.');
exports.permissionError = () => new PunicaException(30001, 'permission denied, please check your file path.');
exports.dirPathError = () => new PunicaException(30002, 'dir path not exist, please check your dir path.');
exports.otherError = (msg) => new PunicaException(59000, msg);
//# sourceMappingURL=punicaException.js.map