"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const readline = require("readline");
function questionAsync(msg) {
    const rl = readline.createInterface({
        input: process.stdin,
        output: process.stdout
    });
    const rlAny = rl;
    const stdin = process.openStdin();
    const onDataHandler = (char) => {
        char = char + '';
        switch (char) {
            case '\n':
            case '\r':
            case '\u0004':
                // Remove this handler
                stdin.removeListener('data', onDataHandler);
                break; // stdin.pause(); break;
            default:
                process.stdout.write('\x1B[2K\x1B[200D' + msg + Array(rlAny.line.length + 1).join('*'));
                break;
        }
    };
    process.stdin.on('data', onDataHandler);
    return new Promise((resolve) => {
        rl.question(msg, (answer) => {
            rlAny.history = rlAny.history.slice(1);
            rl.close();
            resolve(answer);
        });
    });
}
exports.questionAsync = questionAsync;
//# sourceMappingURL=async.js.map